use clap::{Arg, Command, ArgMatches};

use crate::global;
use crate::commands;

pub fn create() -> Command {
    Command::new("init")
        .arg(
            Arg::new("directory")
            .required(false)
            .num_args(1)
            .value_name("DIRECTORY")
            )
        .about("Create an empty Nextsync repository")
        // Create an empty nextsync repository or reinitialize an existing one
}

pub fn handler(args: &ArgMatches) {
    if let Some(val) = args.get_one::<String>("directory") {
        global::global::set_dir_path(val.to_string());
    }
    commands::init::init();
}
